Title: pip.get_installed_distributions() Does not return packages in the current working directory
Type: behavior Stage: resolved
Components: Distutils, Library (Lib) Versions: Python 2.7
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: Adam.Matan, davidfraser, dstufft, eric.araujo, rbcollins, zach.ware
Priority: normal Keywords:

Created on 2014-06-04 07:43 by Adam.Matan, last changed 2015-09-10 15:07 by davidfraser. This issue is now closed.

Messages (4)
msg219751 - (view) Author: Adam Matan (Adam.Matan) Date: 2014-06-04 07:43
Calling pip.get_installed_distributions() from a directory with a file returns a list which does not include the package(s) listed in the file.

Steps to reproduce:

1. Create a virtual environment and activate it.
2. Download any python git project with a file to a directory (e.g. git clone /tmp/behave)
3. Install the project using python install.
4. Call pip.get_installed_distributions() from the directory which contains the file.
5. Call pip.get_installed_distributions() from outside the directory which contains the file.
6. The results from 4 and 5 differs.

See also:
msg247730 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-07-31 03:31
I sincerely apologize for it taking more than a year for somebody to say this, but I think this is in the wrong bug tracker and should be reported to the pip project at

Donald, could you confirm?
msg247734 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2015-07-31 04:23
Yes, Python vendors pip, but is not maintaining it - it should be filed in
msg250384 - (view) Author: David Fraser (davidfraser) Date: 2015-09-10 15:07
Filed with pypa at
Date User Action Args
2015-09-10 15:07:32davidfrasersetnosy: + davidfraser
messages: + msg250384
2015-07-31 04:32:35zach.waresetresolution: rejected -> third party
stage: resolved
2015-07-31 04:23:28rbcollinssetstatus: pending -> closed

nosy: + rbcollins
messages: + msg247734

resolution: third party -> rejected
2015-07-31 03:31:07zach.waresetstatus: open -> pending

nosy: + zach.ware
messages: + msg247730

resolution: third party
2014-06-04 07:44:18Adam.Matansettitle: pip.get_installed_distributions() Does not -> pip.get_installed_distributions() Does not return packages in the current working directory
2014-06-04 07:43:55Adam.Matancreate